pub mod input;
pub mod output;

// Initialisation will always be async and won't complete until a state is available for all
// stateful transducers.
pub trait Stateful {
    type Value: Copy;

    fn state() -> Self::Value;
}
